#
# spec file for package s3backer
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright 2008 Archie L. Cobbs.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           s3backer
Version:        1.4.4
Release:        bp153.1.13
Summary:        FUSE-based single file backing store via Amazon S3
License:        GPL-2.0+
Group:          System/Filesystems
Source:         https://s3.amazonaws.com/archie-public/%{name}/%{name}-%{version}.tar.gz
Url:            https://github.com/archiecobbs/%{name}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} >= 1100
BuildRequires:  libcurl-devel >= 7.16.2
BuildRequires:  libopenssl-devel
%else
BuildRequires:  curl-devel >= 7.16.2
BuildRequires:  openssl-devel
%endif
BuildRequires:  fuse-devel >= 2.5
BuildRequires:  zlib-devel
%if 0%{?suse_version} < 1000 || 0%{?fedora_version} != 0 || 0%{?centos_version} != 0
BuildRequires:  expat
%else
BuildRequires:  libexpat-devel
%endif
BuildRequires:  pkgconfig

%description
s3backer is a filesystem that contains a single file backed by the Amazon
Simple Storage Service (Amazon S3).  As a filesystem, it is very simple:
it provides a single normal file having a fixed size.  Underneath, the
file is divided up into blocks, and the content of each block is stored
in a unique Amazon S3 object.  In other words, what s3backer provides is
really more like an S3-backed virtual hard disk device, rather than a
filesystem.

In typical usage, a `normal' filesystem is mounted on top of the file
exported by the s3backer filesystem using a loopback mount (or disk image
mount on Mac OS X).

%prep
%setup -q

%build
export SUSE_ASNEEDED=0
%{configure}
make %{?_smp_mflags}

%install
make install DESTDIR='%{buildroot}'
install -m 0644 COPYING %{buildroot}%{_docdir}/%{name}/
rm -f %{buildroot}%{_docdir}/%{name}/INSTALL

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*
%{_docdir}/%{name}

%changelog
* Wed Feb  1 2017 archie.cobbs@gmail.com
- Update to release 1.4.4
  + Added `--defaultContentEncoding' for non-compliant backends (issue #68)
  + Fixed auth bug when prefix contains URL-encodable char (issue #69)
  + Remove restriction preventing streaming encryption modes (issue #70)
* Mon Jul 25 2016 archie.cobbs@gmail.com
- Update to release 1.4.3
  + Add support for STANDARD_IA storage class (issue #59)
  + Set "Accept-Encoding" header appropriately (issue #48)
  + Fix build issue with OpenSSL 1.1.0 (issue #64)
* Tue Sep  1 2015 archie@dellroad.org
- Update to release 1.4.2
  + Update license to fix OpenSSL vs. GPL conflict
* Mon May  4 2015 archie@dellroad.org
- Update to release 1.4.1
  + Fix use-after-free bug configuring base URL (github issue #44)
* Fri Apr 17 2015 archie@dellroad.org
- Update to release 1.4.0
  + Added support for authentication version 4 (issue #51)
  + Added support for credentials via IAM role from EC2 meta-data (issue #48)
  + Fixed bug where `--erase' did not clear the mounted flag
  + Moved from Google project hosting to GitHub
  + Fixed compile problem on FreeBSD
* Thu Jul 18 2013 archie@dellroad.org
- Update to version 1.3.7
  + Add `--keyLength' for overriding generated encryption key length
* Tue Jul 16 2013 archie@dellroad.org
- Update to version 1.3.6
  + Fix use of MAX_HOST_NAME in http_io.c (issue #42)
  + Fix encryption key generation bug (on some systems)
* Wed May 29 2013 archie@dellroad.org
- Update to version 1.3.5
  + Check for duplicate mount at startup (issue #10)
  + Minor spec file cleanups
* Wed Apr  3 2013 archie@dellroad.org
- Update to version 1.3.4
  + Add support for fallocate(2)
* Wed Jan 23 2013 archie@dellroad.org
- Fix License to use SPDX format
- Install COPYING into docs
- Remove INSTALL from docs
* Sat Apr  7 2012 archie@dellroad.org
- Update to version 1.3.3
* Sat May 14 2011 archie@dellroad.org
- Update to version 1.3.2
* Sun Jul 18 2010 archie@dellroad.org
- Added SUSE_ASNEEDED magic to fix build
